## tevent 0.9.24

=== debian/changelog ===
tevent (0.9.24-1) unstable; urgency=medium

  * Fix upstream location in debian/watch.
  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).
  * Use dpkg-buildflags.
  * Add patch revert-ldflags-atend: Reverts upstream change preventing
    use of -Wl,--as-needed.
  * Fix lib/replace paths in debian/copyright.
  * Set libtevent0-dbg to Multi-Arch: Same.
  * Don't override CFLAGS from dpkg-getbuildflags, enabling hardening.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Apr 2015 13:20:07 +0000
