=== debian/control ===
Source: tevent
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 9),
               libaio-dev [linux-any],
               libtalloc-dev (>= 2.0.8~),
               pkg-config,
               python,
               python-all-dev (>= 2.6.6-3),
               python-talloc-dev (>= 2.0.8~)
Standards-Version: 3.9.6
Homepage: http://tevent.samba.org/
Vcs-Git: git://anonscm.debian.org/pkg-samba/tevent.git -b unstable

Package: libtevent0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: talloc-based event loop library - shared library
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the shared library file.

Package: libtevent0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libtevent0 (= ${binary:Version}), ${misc:Depends}
Recommends: libc6-dbg, libtalloc2-dbg
Description: talloc-based event loop library - debug symbols
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the debug symbols.

Package: libtevent-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libtalloc-dev,
         libtevent0 (= ${binary:Version}),
         ${misc:Depends}
Description: talloc-based event loop library - development files
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the development files.
