## tevent 0.9.25

=== debian/changelog ===
tevent (0.9.25-0+deb8u1) jessie-security; urgency=high

  [ Andrew Bartlett ]
  * Update to stable required for Samba security release.

 -- Mathieu Parent <sathieu@debian.org>  Tue, 12 Apr 2016 07:41:40 +0200

tevent (0.9.25-2) unstable; urgency=medium

  * Merge back in packaging changes between 0.9.18 and 0.9.24.
  * Drop revert-ldflags-atend: applied upstream.
  * Force LD_LIBRARY_PATH=bin/shared to fix python tests.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Sep 2015 15:17:00 +0000

tevent (0.9.25-1) unstable; urgency=medium

  * Fix watch file.
  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).
  * debian/copyright: Fix duplicate license names.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Sep 2015 03:16:10 +0000
