=== debian/rules ===
--- 
+++ 
@@ -29,11 +29,17 @@
 	./debian/build-orig.sh
 
 override_dh_auto_clean:
-	-./buildtools/bin/waf clean
+	-./third_party/waf/bin/waf clean
 	rm -f buildtools/wafsamba/*.pyc \
-		buildtools/wafadmin/*.pyc \
-		buildtools/wafadmin/Tools/*.pyc
+		third_party/waf/wafadmin/*.pyc \
+		third_party/waf/wafadmin/Tools/*.pyc \
+		.lock-wscript
 	rm -rf build
+	rm -rf bin
+	rm -f libtevent.a
+
+override_dh_auto_test:
+	LD_LIBRARY_PATH=bin/shared/ $(MAKE) check
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(DESTDIR)
