=== debian/changelog ===
tevent (0.9.26-3) unstable; urgency=low

  * debian/copyright: Set short names for licenses.
  * Fix Vcs-Git header.
  * debian/rules: Properly clean up bin/, .lock-wscript and libtevent.a.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Dec 2015 01:17:11 +0000

tevent (0.9.26-2) unstable; urgency=medium

  * Set LD_LIBRARY_PATH during tests. Fixes FTBFS. Closes: #805319

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 17 Nov 2015 00:57:47 +0000

tevent (0.9.26-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Nov 2015 21:42:12 +0000
