=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 9),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.0.8~),
+               libtalloc-dev (>= 2.1.5~),
                pkg-config,
                python,
                python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.0.8~)
+               python-talloc-dev (>= 2.1.5~)
 Standards-Version: 3.9.6
 Homepage: http://tevent.samba.org/
-Vcs-Git: git://anonscm.debian.org/pkg-samba/tevent.git -b unstable
+Vcs-Git: git://git.debian.org/pkg-samba/tevent.git
 
 Package: libtevent0
 Architecture: any
@@ -34,7 +33,6 @@
 Section: debug
 Priority: extra
 Architecture: any
-Multi-Arch: same
 Depends: libtevent0 (= ${binary:Version}), ${misc:Depends}
 Recommends: libc6-dbg, libtalloc2-dbg
 Description: talloc-based event loop library - debug symbols
