=== debian/changelog ===
tevent (0.9.28-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Updated to upstream 0.9.28 as required by Samba security update.
    - debian/patches/01_fix_ld_library_path: dropped, upstream.
    - debian/libtevent0.symbols: updated for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 03 May 2016 08:09:57 -0400
