=== debian/watch ===
version=3
http://download.samba.org/pub/tevent/ tevent-(.+).tar.gz
