=== debian/changelog ===
tevent (0.9.34-1) unstable; urgency=high

  * New upstream version 0.9.34
    - Update symbols (no changes)
    - fix upstream "BUG 13130: smbd on disk file corruption bug under heavy
      threaded load"
    - Set urgency to high for this fix
  * Standards-Version: 4.1.1, no change

 -- Mathieu Parent <sathieu@debian.org>  Thu, 23 Nov 2017 11:04:22 +0100

tevent (0.9.33-2) unstable; urgency=medium

  * Upload to sid

 -- Mathieu Parent <sathieu@debian.org>  Thu, 26 Oct 2017 10:27:36 +0200

tevent (0.9.33-1) experimental; urgency=medium

  * New upstream version 0.9.33
    - Update symbols (no changes)
    - Bump build-depend on talloc to 2.1.10
  * Use https form of the copyright-format URL (Debian Policy 4.0.0)
  * Standards-Version: 4.0.0

 -- Mathieu Parent <sathieu@debian.org>  Mon, 02 Oct 2017 10:26:56 +0200
