=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 9),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.1.8~),
+               libtalloc-dev (>= 2.1.10~),
                pkg-config,
                python,
                python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.1.8~)
-Standards-Version: 3.9.8
+               python-talloc-dev (>= 2.1.10~)
+Standards-Version: 4.1.1
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-samba/tevent.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-samba/tevent.git
