=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	rm -f $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so
 
 override_dh_strip:
-	dh_strip --dbg-package=libtevent0-dbg
+	dh_strip --dbgsym-migration='libtevent0-dbg (<< 0.9.31-1~)'
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
