## tevent 0.9.36

=== debian/changelog ===
tevent (0.9.36-2) unstable; urgency=low

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 May 2018 15:42:59 +0200

tevent (0.9.36-1) experimental; urgency=medium

  * New upstream version 0.9.36
    - Bump build-depend on talloc to 2.1.11
    - Update symbols
  * Upload to experimental
  * Repository moved to salsa: Update Vcs-* fields
  * gbp.conf: Enable sign-tags and pristine-tar
  * Fix global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Move to debhelper 11, no expected change
  * Standards-Version: 4.1.3, no change

 -- Mathieu Parent <sathieu@debian.org>  Sun, 11 Mar 2018 21:06:02 +0100
