=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.1.10~),
+               libtalloc-dev (>= 2.1.11~),
                pkg-config,
                python,
                python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.1.10~)
-Standards-Version: 4.1.1
+               python-talloc-dev (>= 2.1.11~)
+Standards-Version: 4.1.3
 Homepage: https://tevent.samba.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-samba/tevent.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-samba/tevent.git
+Vcs-Browser: https://salsa.debian.org/samba-team/tevent
+Vcs-Git: https://salsa.debian.org/samba-team/tevent.git
 
 Package: libtevent0
 Architecture: any
